

# ----------------------------------------------------------------------
# returncodes
# ----------------------------------------------------------------------

typeset -i rc=0


function fetchrc(){
  myrc=$?
  echo rc=$myrc
  rc=$rc+$myrc
}


# ----------------------------------------------------------------------
# colors
# ----------------------------------------------------------------------

  # ------------------------------------------------------------
  # color text
  # ------------------------------------------------------------
  function color(){
    sColorcode=""
    case $1 in
      "reset") sColorcode="0"
               ;;
      "head")  sColorcode="33" # yellow
               ;;
      "cmd")   sColorcode="94" # light blue
               ;;
      "input") sColorcode="92" # green
               ;;
      "ok") sColorcode="92" # green
               ;;
      "error") sColorcode="91" # red
               ;;
    esac
    if [ ! -z ${sColorcode} ]; then
      echo -ne "\e[${sColorcode}m"
    fi    
  }

  # ----------------------------------------------------------------------
  # headlines 
  # ----------------------------------------------------------------------

  function h1(){
    color head
    echo
    echo "====== $* ======"
    echo
    color reset
  }


  function h2(){
    color head
    echo "--- $*"
    color reset
  }

# ----------------------------------------------------------------------
